Configure TCP/IP for automatic addressing

To configure TCP/IP for automatic addressing

  1. Open Network and Dial-up Connections.
  2. Right-click the network connection that you want to configure, and then click Properties.
  3. On the General tab (for a local area connection) or the Networking tab (all other connections), click Internet Protocol (TCP/IP), and then click Properties.
  4. Click Obtain an IP address automatically, and then click OK.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure.
  • Windows 2000 uses Automatic Private IP Addressing (APIPA) to automate Internet Protocol (IP) configuration of network connections.

    By default, the computer first tries to contact a DHCP server on the network and dynamically obtain configuration for each installed network connection, as follows:

    • If a DHCP server is reached and leased configuration is successful, TCP/IP configuration is completed.
    • If a DHCP server is not reached or leased configuration fails, the computer uses APIPA to automatically configure TCP/IP. When APIPA is used, Windows 2000 determines an address in the Microsoft-reserved IP addressing range from 169.254.0.1 through 169.254.255.254. This address is used until a DHCP server is located. The subnet mask is set to 255.255.0.0.
  • The range of IP addresses (from 169.254.0.1 through 169.254.255.254) used for APIPA is reserved by the Internet Assigned Numbers Authority (IANA). Any IP addresses within this range are not used on the Internet.

Related Topics


Installing TCP/IP

Before you install Microsoft TCP/IP on a computer running Windows 2000, you need to know:

  • Whether your network supports a dynamic TCP/IP configuration, which uses the Dynamic Host Configuration Protocol (DHCP).

    A dynamic configuration is the simplest to complete and can be used if another computer on your network is installed as a DHCP server. The DHCP server provides IP address, subnet mask, default gateway (IP router), DNS domain name, DNS server, and WINS server configuration information.

  • Whether your network requires a manual TCP/IP configuration.

    Some existing networks either do not use DHCP or require that TCP/IP configuration is performed manually for each computer.

For more information about configuration methods, see TCP/IP configuration methods.

If you do not use DHCP to configure TCP/IP dynamically, obtain the following information from your network administrator to configure TCP/IP manually:

  • The IP address and subnet mask for each network adapter that is installed on the computer.
  • The IP address for the default local gateway (IP router).

  • The name of your DNS domain and the IP addresses of the DNS servers on the network.

    For Active Directory deployment, the primary DNS suffix of a computer, also known as the computer's primary domain name, is by default the name of the Active Directory domain that the computer has joined. If you want your computer's primary DNS suffix to be different from the name of the Active Directory domain that the computer has joined, see To change the DNS suffix of your computer.

  • The IP addresses for the WINS servers, if WINS services are available on your network.
For more information about configuration items, see TCP/IP configuration items.

For instructions about installing and configuring TCP/IP, see To install TCP/IP and Configure TCP/IP.


Disable automatic address configuration

To disable automatic address configuration

  1. Open Registry Editor.

    2. Caution

    • Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on the computer. You can also use the Last Known Good Configuration startup option if problems are encountered after manual changes have been applied.
  2. In Registry Editor, navigate to the following registry key:

    HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\
    Services\Tcpip\Parameters\Interfaces\    adapter_name

  3. Create the following entry:

    IPAutoconfigurationEnabled: REG_DWORD

  4. Assign a value of 0 to disable Automatic Private IP Addressing (APIPA) support for the selected network adapter.
  5. Close Registry Editor.

Notes

  • To open Registry Editor, click Start, click Run, type regedt32, and then click OK.
  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure.
  • If the IPAutoconfigurationEnabled entry is not present, a default value of 1 is assumed, which indicates that APIPA is used.
  • If multiple adapters are installed, you can disable APIPA for all installed adapters by setting the IPAutoconfigurationEnabled entry to 0 at the following registry key:

    HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\
    Services\Tcpip\Parameters


Configure TCP/IP for dynamic addressing

To configure TCP/IP for dynamic addressing

  1. Open Network and Dial-up Connections.
  2. Right-click the network connection that you want to configure, and then click Properties.
  3. On the General tab (for a local area connection) or the Networking tab (all other connections), click Internet Protocol (TCP/IP), and then click Properties.
  4. Click Obtain an IP address automatically, and then click OK.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure.
  • These instructions are only required if a static TCP/IP configuration was previously used. By default, Windows 2000 attempts to obtain the TCP/IP configuration from a DHCP server on your network.


Install TCP/IP

To install TCP/IP

  1. Open Network and Dial-up Connections.
  2. Right-click the network connection for which you want to install and enable TCP/IP, and then click Properties.
  3. On the General tab (for a local area connection) or the Networking tab (all other connections), if Internet Protocol (TCP/IP) is not in the list of installed components, then do the following:
    1. Click Install.
    2. Click Protocol, and then click Add.
    3. In the Select Network Protocol dialog box, click Internet Protocol (TCP/IP), and then click OK.
  4. Verify that the Internet Protocol (TCP/IP) check box is selected, and then click OK.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure.
  • TCP/IP is installed as the default network protocol if network adapter hardware was detected during Windows 2000 Setup. You only need to follow these instructions if the TCP/IP default selection was overridden during Setup.


Configure TCP/IP for static addressing

To configure TCP/IP for static addressing

  1. Open Network and Dial-up Connections.
  2. Right-click the network connection you want to configure, and then click Properties.
  3. On the General tab (for a local area connection) or the Networking tab (all other connections), click Internet Protocol (TCP/IP), and then click Properties.
  4. Click Use the following IP address, and do one of the following:
    • For a local area connection, in IP address, Subnet mask, and Default gateway, type the IP address, subnet mask, and default gateway addresses.
    • For all other connections, in IP address, type the IP address.
  5. Click Use the following DNS server addresses.
  6. In Preferred DNS server and Alternate DNS server, type the primary and secondary DNS server addresses.
  7. To configure advanced settings, click Advanced, and do one or more of the following:
    • To configure additional IP addresses:
      1. On the IP Settings tab, in IP addresses, click Add.
      2. In IP Address and Subnet mask, type an IP address and subnet mask, and then click Add.
      3. Repeat step 1 for each IP address you want to add, and then click OK.
    • To configure additional default gateways:
      1. On the IP Settings tab, in Default gateways, click Add.
      2. In Gateway and Metric, type the IP address of the default gateway and the metric, and then click Add.
      3. Repeat step 1 for each default gateway you want to add, and then click OK.
    • To configure a custom metric for this connection, type a metric value in Interface metric.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure.


Test a TCP/IP configuration by using the ping command

To test a TCP/IP configuration by using the ping command

  1. To quickly obtain the TCP/IP configuration of a computer, open Command Prompt, and then type ipconfig.
  2. At the command prompt, ping the loopback address by typing ping 127.0.0.1.

    3. If the ping command fails, verify that the computer was restarted after TCP/IP was installed and configured.

  3. Ping the IP address of the computer.

    4. If the ping command fails, verify that the computer was restarted after TCP/IP was installed and configured.

  4. Ping the IP address of the default gateway.

    5. If the ping command fails, verify that the default gateway IP address is correct and that the gateway (router) is operational.

  5. Ping the IP address of a remote host (a host that is on a different subnet).

    6. If the ping command fails, verify that the remote host IP address is correct, that the remote host is operational, and that all the gateways (routers) between this computer and the remote host are operational.

  6. Ping the IP address of the DNS server.

    7. If the ping command fails, verify that the DNS server IP address is correct, that the DNS server is operational, and that all the gateways (routers) between this computer and the DNS server are operational.

Notes

  • To open Command Prompt, click Start, point to Programs, point to Accessories, and then click Command Prompt.
  • If the ping command is not found or the command fails, you can use Event Viewer to check the System Log and look for problems reported by Setup or the Internet Protocol (TCP/IP) service.


Test TCP/IP connections by using the ping and net view commands

To test TCP/IP connections by using the ping and net view commands

  1. To test TCP/IP connectivity by using the ping command, open Command Prompt, and then ping the desired host using its IP address.

    2. If the ping command fails with a "Request timed out" message, verify that the host IP address is correct, that the host is operational, and that all the gateways (routers) between this computer and the host are operational.

  2. To test host name resolution by using the ping command, ping the desired host using its host name.

    3. If the ping command fails with an "Unknown host" message, verify that the host name is correct and that the host name can be resolved by your DNS server.

  3. To test TCP/IP connectivity by using the net view command, open Command Prompt, and then type net view\\computername. The net view command lists the file and print shares of a computer running Windows 2000 by establishing a temporary NetBIOS connection. If there are no file or print shares on the specified computer, the net view command displays a "There are no entries in the list" message.

    4. If the net view command fails with a "System error 53 has occurred" message, verify that computername is correct, that the computer running Windows 2000 is operational, and that all the gateways (routers) between this computer and the computer running Windows 2000 are operational.

    To further troubleshoot this connectivity problem, do the following:

    • Use the ping command to ping computername.

      If the ping command fails with an "Unknown host" message, then computername cannot be resolved to its IP address.

    • Use the net view command and the IP address of the computer running Windows 2000, as follows:

      net view\\IP address

      If the net view command succeeds, then computername is being resolved to the wrong IP address.

      If the net view command fails with a "System error 53 has occurred" message, the computer running Windows 2000 is not running the File and Printer Sharing for Microsoft Networks service.

Notes

  • To open a command prompt, click Start, point to Programs, point to Accessories, and then click Command Prompt.
  • If the ping command is not found or the command fails, you can use Event Viewer to check the System Log and look for problems reported by Setup or the Internet Protocol (TCP/IP) service.


Remove TCP/IP

To remove TCP/IP

  1. Open Network and Dial-up Connections.
  2. Right-click any network connection, and then click Properties.
  3. On the General tab (for a local area connection) or the Networking tab (all other connections), click Internet Protocol (TCP/IP), and then click Uninstall.
  4. In the Uninstall Internet Protocol (TCP/IP) dialog box, click Yes.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure.
  • If Uninstall is dimmed, there are no other protocols installed. You cannot uninstall TCP/IP if no other protocols are available.
  • If you remove TCP/IP, you lose the following:
    • Internet Protocol security (IPSec)
    • Active Directory
    • PPTP and L2TP tunneling


Install Simple TCP/IP Services

To install Simple TCP/IP Services

  1. Open Add/Remove Programs.
  2. Click Add/Remove Windows Components.
  3. In the Windows Components wizard, click Next.
  4. In Components, click Networking Services, and then click Details.
  5. In Subcomponents of Networking Services, click Simple TCP/IP Services, and then click OK.
  6. Click Next.
  7. If prompted, type the path where the Windows 2000 distribution files are located, and then click OK.
  8. Complete any remaining screens in the wizard, and then click Finish.

Notes

  • To open Add/Remove Programs, click Start, point to Settings, click Control Panel, and then double-click Add/Remove Programs.
  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure.
  • Simple TCP/IP Services includes Windows 2000 utility software that provides support for the optional TCP/IP protocol services listed in the following table.
    • Protocol | Description | RFC
Character Generator (CHARGEN) | Sends data made up of the set of 95 printable ASCII characters. Useful as a debugging tool for testing or troubleshooting line printers. | 864
Daytime | Returns messages containing the day of the week, month, day, year, current time (in hh:mm:ss format), and time-zone information. Some programs can use the output from this service for debugging or monitoring variations in system clock time or on a different host, or to reset system time. | 867
Discard | Discards all messages received on this port without response or acknowledgment. Can serve as a null port for receiving and routing TCP/IP test messages during network setup and configuration or, in some cases, can be used by programs as a message discard function. | 863
Echo | Echoes back data from any messages it receives on this server port. Can be useful as a network debugging and monitoring tool. | 862
Quote of the Day (QUOTE) | Returns a quotation as one or more lines of text in a message. Quotations are taken at random from the following file: systemroot\System32\Drivers\Etc\Quotes. A sample quote file is installed with the Simple TCP/IP Services. If this file is missing, the quote service fails. | 865
  • All of these protocol services are classified as elective Internet standards and are defined and described in the specified Request for Comments (RFC) document listed in the table. For more information on these protocol services, see the RFCs.
  • Do not install Simple TCP/IP Services unless you specifically need this computer to support communication with other systems that use these protocol services.


Trace a path by using the tracert command

To trace a path by using the tracert command

  • Open Command Prompt, and type the following:

    tracert host_name

    Or, type tracert ip_address

    where host_name or ip_address is the host name or IP address, respectively, of the remote computer.

    • For example, to trace a connection route from this computer to www.microsoft.com, type the following at a command prompt:

    tracert www.microsoft.com

Notes

  • To open Command Prompt, click Start, point to Programs, point to Accessories, and then click Command Prompt.
  • The tracert command traces the path taken by TCP/IP packets from this computer to another remote computer. The tracert command uses ICMP echo request and reply messages (similar to the ping command) to produce command-line report output about each router that is crossed and the roundtrip time (RTT) for each hop.
  • If tracert is unsuccessful, you can use the command output to help determine at which intermediate router forwarding failed or was slowed.


Configure TCP/IP to use DNS

To configure TCP/IP to use DNS

  1. Open Network and Dial-up Connections.
  2. Right-click the network connection you want to configure, and then click Properties.
  3. On the General tab (for a local area connection) or the Networking tab (all other connections), click Internet Protocol (TCP/IP), and then click Properties.
  4. If you want to obtain DNS server addresses from a DHCP server, click Obtain DNS server address automatically.
  5. If you want to manually configure DNS server addresses, click Use the following DNS server addresses, and in Preferred DNS server and Alternate DNS server, type the preferred DNS server and alternate DNS server IP addresses.
  6. To configure advanced DNS properties, click Advanced, click the DNS tab, and do one or more of the following:
    • To configure an additional DNS server IP address:
      1. Under DNS server addresses, in order of use, click Add.
      2. In DNS server, type the IP address of the DNS server, and then click Add.
    • To modify the resolution behavior for unqualified DNS names, do the following:
      • To resolve an unqualified name by appending the primary DNS suffix and the DNS suffix of each connection (if configured), click Append primary and connection specific DNS suffixes. If you also want to search the parent suffixes of the primary DNS suffix up to the second level domain, select the Append parent suffixes of the primary DNS suffix check box.
      • To resolve an unqualified name by appending the suffixes from a list of configured suffixes, click Append these DNS suffixes (in order), and then click Add to add suffixes to the list.
    • To configure a connection-specific DNS suffix (local area connection only), type the DNS suffix in DNS suffix for this connection.
    • To modify DNS dynamic update behavior (local area connection only), do the following:
      • To use a DNS dynamic update to register the IP addresses of this connection and the primary domain name of the computer, select the Register this connection's addresses in DNS check box. This option is enabled by default. The primary domain name of the computer is the primary DNS suffix appended to the computer name and can be viewed as the full computer name on the Network Identification tab (available in System in Control Panel).
      • To use a DNS dynamic update to register the IP addresses and the connection-specific domain name of this connection, select the Use this connection's DNS suffix in DNS registration check box. This option is disabled by default. The connection-specific domain name of this connection is the DNS suffix for this connection appended to the computer name.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure.
  • To completely disable DNS dynamic update for all names on the computer, clear the Register this connection's addresses in DNS and Use this connection's DNS suffix in DNS registration check boxes for all connections in Network and Dial-up Connections.


Configure TCP/IP to use WINS

To configure TCP/IP to use WINS

  1. Open Network and Dial-up Connections.
  2. Right-click the network connection you want to configure, and then click Properties.
  3. On the General tab (for a local area connection) or the Networking tab (all other connections), click Internet Protocol (TCP/IP), and then click Properties.
  4. Click Advanced, click the WINS tab, and then click Add.
  5. In TCP/IP WINS server, type the IP address of the WINS server, and then click Add.
  6. Repeat steps 4 and 5 for each WINS server IP address you want to add, and then click OK.
  7. To enable the use of the Lmhosts file to resolve remote NetBIOS names, select the Enable LMHOSTS lookup check box. This option is enabled by default.
  8. To specify the location of the file that you want to import into the Lmhosts file, click Import LMHOSTS, and select the file in the Open dialog box.
  9. To modify the behavior of NetBIOS over TCP/IP behavior, do the following:
    • To enable the use of NetBIOS over TCP/IP, click Enable NetBIOS over TCP/IP.
    • To disable the use of NetBIOS over TCP/IP, click Disable NetBIOS over TCP/IP.
    • To have the DHCP server determine the NetBIOS behavior, click Use NetBIOS setting from the DHCP server.

Notes

  • You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure.
  • If you are using a DHCP server to allocate WINS server IP addresses, you do not need to add WINS server addresses.
  • If you disable NetBIOS over TCP/IP, you may not be able to connect to computers that are running operating systems other than Windows 2000.
  • You can no longer configure the NetBIOS scope ID on the WINS tab. To configure the NetBIOS scope ID, set the following registry value to the name of the scope ID that you want to use:

    HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\NetBT\Parameters\ScopeID